<?php
$titre_page = "Modification du style CSS";
require("./0admin_header.php");

// Si le fichier a les bonnes permissions on le modifie sinon on dit ce qu'il faut faire
if(file_exists("./$chemin_du_theme/$nom_styles_css.css")) {
if(is_writable("./$chemin_du_theme/$nom_styles_css.css") || $os_du_serveur == "windows") {
$handle =  fopen("./$chemin_du_theme/$nom_styles_css.css","w+");
$_POST['message'] = stripslashes($_POST['message']);
fwrite($handle,$_POST['message']);
echo "<h1>Modification effectuée</h1>
<p>La feuille de style a bien été mise à jour. Pour être sur de voir tout de suite les modifications videz le cache de votre navigateur.</p>";
fclose($handle);
}
else echo "<h1>Permission refusée</h1>
<p><strong>ATTENTION !</strong> $nom_du_projet n'a pas les autorisations nécessaires à la de ce fichier. Pour résoudre ce problème changez, à l'aide d'un
client FTP, le <strong>chmod</strong> du fichier en 666 et réactualisez cette page.</p>

<p><strong>Note :</strong> Tous vos fichiers devraient déjà avoir un chmod 666. Si ce n'est pas le cas faites-le.</p>";}

else echo "<h1>Erreur : fichier introuvable</h1>
<p>Le fichier est introuvable dans votre dossier.</p>";
require("./0admin_footer.php");
?>